#### Previous topic

scipy.special.itairy

#### Next topic

scipy.special.ellipk

# scipy.special.ellipj

`scipy.special.``ellipj`(u, m) = <ufunc 'ellipj'>

  Jacobian elliptic functions

  Calculates the Jacobian elliptic functions of parameter m between 0 and 1, and real argument u.

  Parameters:

  m : array_like

  > Parameter.

  u : array_like

  > Argument.

  Returns:

  sn, cn, dn, ph : ndarrays

  > The returned functions:

  >     sn(u|m), cn(u|m), dn(u|m)

  > The value ph is such that if u = ellipk(ph, m), then sn(u|m) = sin(ph) and cn(u|m) = cos(ph).

  See also

  `ellipk`
    Complete elliptic integral of the first kind.

  Notes

  Wrapper for the Cephes [R377] routine ellpj.

  These functions are periodic, with quarter-period on the real axis equal to the complete elliptic integral ellipk(m).

  Relation to incomplete elliptic integral: If u = ellipk(phi,m), then sn(u|m) = sin(phi), and cn(u|m) = cos(phi). The phi is called the amplitude of u.

  Computation is by means of the arithmetic-geometric mean algorithm, except when m is within 1e-9 of 0 or 1. In the latter case with m close to 1, the approximation applies only for phi < pi/2.

  References

  [R377] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html